#OK SAM

# ment
# Copyright (C) 2003, 2004, 2005, 2006, 2007, 2011 Joseph Rosevear

# This file is part of an application of SAM for GNU/Linux Slackware
# known as SAM-GLS.

# SAM-GLS is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.

# SAM-GLS is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# (Slackware is a registered trademark of Patrick Volkerding and
# Slackware Linux, Inc.)



# JHR 110821 I replaced the use of set with type, because set doesn't
# show functions in POSIX bash.



ment() {

local problem
problem=false

local answer1
local answer2

if [ -a "$level/$1" ]; then
   
   echo ""
   echo "file $level/$1 already exists"
   problem=true

fi

if [ -f "$level/data" ]; then

   echo ""
   echo "$level/data already exists, and it is a file."
   problem=true

fi

if [ "$problem" = "false" ]; then

   hello

   if [ "$1" != "" ]; then

      echo ""
      echo 'running "which '$1'" to see if '$1' is already a command'

      which $1

      echo ""
      echo "Does it appear to be available? y/n"

      read answer1

      echo ""
      echo 'running "type '$1'" to see if '$1' is already a function'

      type $1

      echo ""
      echo "Does it appear to be available? y/n"

      read answer2

      if [ "$answer1" = "y" ] && [ "$answer2" = "y" ]; then

         echo '#!/bin/sh'                              >  $level/$1

         ###
cat << done >> $level/$1

if [ "\$1" != "-" ]; then

   sam_edit $level/data/$1.dat\$1 \$2 

else

   sam_edit $level/data/$1.dat \$2 
   
fi

con_menu
done
         ###
         
         chmod 755 $level/$1

         if ! [ -e "$level/data" ]; then

            echo ""
            echo "Dir $level/data does not exist."
            echo "Making it..."
            mkdir $level/data

         fi
   
         echo ""
         echo "Adding $1 to the menu..."
         echo "$1       ***made by ment--please edit***" >> $level/menu.dat
  
      else

         echo ""
         echo "Exiting..."

      fi

   else

      echo ""
      echo "Usage: ment <new menu entry>"

   fi

   bye
fi

return
}
