#OK SAM

# lean
# Copyright (C) 2021 Joseph Rosevear, San Diego CA, USA.

# This file is part of an application of SAM for GNU/Linux Slackware
# known as SAM-GLS.

# SAM-GLS is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.

# SAM-GLS is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# (Slackware is a registered trademark of Patrick Volkerding and
# Slackware Linux, Inc.)



# Joseph Rosevear 20801 I wrote this function definition.

# Joseph Rosevear 200804 I made two changes:

#    1.  It now operates only on the argument named in $1.

#    2.  It now uses a variable instead of file $variable.txt to store
#    the intermediate information.

# To make these changes I introduced variables parts and variable.



lean() {

   # Declarations.
   local parts
   local variable
   
   # Definitions.
   variable=$1

   parts=`echo ${!variable} | tr ":" "\n" | cat -n | sort -uk2 | sort -nk1 | \
   cut -f2`

   eval $variable=`printf %s "$parts" | tr "\n" ":"`

   return
}
