#OK SAM

# sam_shel.f
# Copyright (C) 2003, 2004, 2005, 2006, 2007, 2008 Joseph Rosevear

# This file is part of The SAM Kernel.

# The SAM Kernel is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# The SAM Kernel is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



# Joseph Rosevear 210801 I added the use of function lean after the
# export of PATH.  This removes duplicate strings in PATH and some
# other variables.

# Joseph Rosevear 210804 I changed the invocation of lean.  To do this
# I introduced variable "variable" and made it local.



sam_shel() {

   # Declarations.
   local variable

   hello

   export level=$1

   if [ "$sam_debug" != "" ]; then
      echo   
      echo in sam_shel after hello
      echo env_num is: $sam_env_num
      echo level is:   $level
      echo parameters:  $*
      echo   
   fi

   if [ "$2" != "" ] && [ "$2" != "-" ]; then

      if [ "$sam_add" = "" ]; then
         sam_add=$2
      else
         sam_add=$sam_add:$2
      fi
   fi

   export sam_add

   if [ "$sam_add" = "" ]; then
      export PATH=$pold:$level
   else
      export PATH=$pold:$level:$sam_add
   fi

   # Remove duplicate strings from PATH, level, pold and sam_add.
   for variable in PATH level pold sam_add; do
   
      lean $variable
   done
   
   # to cause new path above to be used
   hash -r   

   export PS1="\n$sam_file:$level $sam_env_num$sam_symbol\n\u@\h:\w\$ "

   if [ "$3" = "final" ]; then
      export sam_bye_command=exit
   fi

   upfun "in sam_shel: no remainder"

   if [ "$sh_flag" = "" ];then menu; fi

   if [ "$sam_debug" != "" ]; then
      echo in sam_shel before return
   fi

   return
}
